<script lang="typescript">
  import {Button} from '$lib/components/button';
  import {GridWrap, GridWrapModifier, GridColumn, GridColumnModifier} from '$lib/components/grid';
  import {Wrap} from '$lib/components/wrap';
  import {Island, IslandModifier} from '$lib/components/island';
  import {CaptionedImage} from '$lib/components/image';

  import {urls} from '$lib/data/urls';
  import {resolveStaticAssetPath} from '$lib/utils/components';

  import type {FragmentId} from '$lib/enums/fragment-ids';

  export let fragmentId: FragmentId;

  const altSuffix = 'CC image courtesy of Publicity Pod on Flickr';
  const caption = `CC image courtesy of
    <a href="${urls.publicityPod}">Publicity Pod</a> on Flickr
  `;
</script>

<section id={fragmentId}>
  <Island modifiers={[IslandModifier.Base, IslandModifier.SmallestPalm]}>
    <Wrap>
      <GridWrap
        modifiers={[GridWrapModifier.Middle, GridWrapModifier.Larger, GridWrapModifier.Center]}
      >
        <GridColumn modifiers={[GridColumnModifier.ShrinkWrap]}>
          <div class="u-margin--largest--block-end">
            <CaptionedImage
              src={resolveStaticAssetPath('img/stock/student-doing-an-online-course.jpg')}
              alt="Student doing an online course. {altSuffix}">{@html caption}</CaptionedImage
            >
          </div>
        </GridColumn>

        <GridColumn modifiers={[GridColumnModifier.AutoDesk]} viewportMap={{portable: '1-of-1'}}>
          <h2 class="u-fs--h5">Who the course is for</h2>

          <p>
            This course is for programmers who are interested in learning more about Free/Libre and
            Open Source Software and the FLOSS community. It is not only great if you're still
            learning about the programming world, but also if you're a developer whose experience
            lies mainly in writing proprietary code.
          </p>

          <p>
            Even experienced developers can find it intimidating to contribute to FLOSS projects.
            This isn’t surprising; it’s daunting to contribute a change upstream, and contributing
            effectively takes a lot of effort and skill. This course aims to give you the expertise
            you need to make contributions to FLOSS projects confidently and effectively.
          </p>
          <div>
            <Button
              target="_blank"
              href={urls.betaCourse}>
              View beta course
            </Button>
          </div>
        </GridColumn>
      </GridWrap>
    </Wrap>
  </Island>
</section>
